//
//  UIBarButtonItem+SA.m
//  MIG
//
//  Created by 余西安 on 14/11/28.
//  Copyright (c) 2014年 Sian. All rights reserved.
//

#import "UIBarButtonItem+SA.h"

@implementation UIBarButtonItem (SA)

+ (void)initialize
{
    // 1、获取导航按钮样式
    UIBarButtonItem *item = [UIBarButtonItem appearance];
    UIImage *image = [[UIImage imageNamed:@"tb_icon_navigation_back.png"] resizableImageWithCapInsets:UIEdgeInsetsMake(0, 30, 0, 0)];
    [item setBackButtonBackgroundImage:image forState:UIControlStateNormal barMetrics:UIBarMetricsDefault];
    [item setBackButtonTitlePositionAdjustment:UIOffsetMake(-15, 0) forBarMetrics:UIBarMetricsDefault];
    // 2、设置字体为楷体
    [item setTitleTextAttributes:@{NSFontAttributeName:[UIFont systemFontOfSize:15]} forState:UIControlStateNormal];
}

+ (instancetype)backButtonWithTarget:(id)target action:(SEL)action
{
    UIImage *backImage = [UIImage imageNamed:@"tb_icon_navigation_back.png"];
    UIButton *button = [UIButton buttonWithType:UIButtonTypeSystem];
    [button setTitle:@"返回" forState:UIControlStateNormal];
    [button setImage:backImage forState:UIControlStateNormal];
    [button setBounds:CGRectMake(0, 0, 42, 28)];
    [button.titleLabel setFont:[UIFont systemFontOfSize:15]];
    [button setTitleEdgeInsets:UIEdgeInsetsMake(0, -2, 0, 0)];
    [button setImageEdgeInsets:UIEdgeInsetsMake(0, -9, 0, 0)];
    [button addTarget:target action:action forControlEvents:UIControlEventTouchUpInside];
    [button setContentVerticalAlignment:UIControlContentVerticalAlignmentCenter];
    return [[UIBarButtonItem alloc] initWithCustomView:button];
}

@end
